# List all recipient

### URI

&#x20;<mark style="color:green;background-color:green;">**GET**</mark>&#x20;

```
https://api.tryduplo.com/v1/recipients/?business_id=
```

### Parameters

#### Header

<table data-header-hidden><thead><tr><th width="249"></th><th></th></tr></thead><tbody><tr><td><strong>Authorization</strong><br><code>string</code></td><td>set value to <code>Bearer SECRET_KEY</code></td></tr></tbody></table>

#### Query Param

<table data-header-hidden><thead><tr><th width="250"></th><th></th></tr></thead><tbody><tr><td><strong>business_id</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>Bussiness ID</td></tr></tbody></table>

### Sample request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --location --request GET 'https://api.tryduplo.com/v1/recipients/?business_id=986ac7-b306-4642-87aa-99ba512b2601' \
--header 'Authorization: Bearer dp_live_856879df3e6ecdb14a918e24bba6d480e0564a4eabfdba938fc23b820ac905e54bac25a71dbcdef66c97b8c72ca7e16cf03a5261f2f16f5335ca5024620b14268823a7d78922cfdd97cefc61050139fd92a7a0c5840e016050552ccadbbec642d2ff8d35a09225c7ec4fd1e347b'
```

{% endcode %}
{% endtab %}

{% tab title="Node" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');

var config = {
  method: 'get',
  url: 'https://api.tryduplo.com/v1/recipients/?business_id=986a67-b306-4642-87aa-99ba512b2601',
  headers: { 
    'Authorization': 'Bearer dp_live_856879df3e6ecdb14a918e24bba6d480e0564a4eabfdba938fc23b820ac905e54bac25a71dbcdef66c97b8c72ca7e16cf03a576857261f2f16f5335ca5024620b14268823a7d78922cfdd97cefc61050139fd92a7a0c5840e016050552ccadbbec642d35a09225c7ec4fd1e347b'
  }
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});

```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.tryduplo.com/v1/recipients/?business_id=986acd67-b306-4642-87aa-9912b2601',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer dp_live_856879df3e6ecdb14a918e24bba6d480e0564a4eabfdba938fc23b820ac905e54bac25a71dbcdef66c97b8c72ca7e16cf03a57682f16f5335ca5024620b14268823a7d78922cfdd97cefc61050139fd92a7a0c5840e06050552ccadbbec642d2ff8d35a09225c7ec4fd1e347b'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Duplo Response

```json
{
    "data": {
        "data": [
            {
                "transactions": [],
                "bank_code": "50211",
                "bank_name": "Kuda Bank",
                "account_name": "Jamie Fox",
                "account_number": "1101060326",
                "email": "jamefox@yopmail.com",
                "business_id": "986acd67-b306-4642-87aa-99ba512b2601",
                "recipient_ref": "rec_svxsfsoIsqjh",
                "created_at": "2023-01-31T23:50:25.000Z"
            },
            {
                "transactions": [],
                "bank_code": "044",
                "bank_name": "Access Bank",
                "account_name": "DAVID DANIEL IGBIGBI",
                "account_number": "0694002924",
                "email": "alindavidsin@gmail.com",
                "business_id": "986acd67-b306-4642-87aa-99ba512b2601",
                "recipient_ref": "rec_Hwk5HAKBQc8r",
                "created_at": "2022-11-15T17:47:29.000Z"
            },
            {
                "transactions": [],
                "bank_code": "058",
                "bank_name": "Guaranty Trust Bank",
                "account_name": "ODIGIE OSEME UTIBE",
                "account_number": "0033267866",
                "email": "oseme@tryduplo.com",
                "business_id": "986acd67-b306-4642-87aa-99ba512b2601",
                "recipient_ref": "rec_PxfV9v9zqHAR",
                "created_at": "2022-08-02T10:02:30.000Z"
            }
        ],
        "meta": {
            "page": 1,
            "limit": 50,
            "previousPage": false,
            "nextPage": false,
            "pageCount": 1,
            "total": 3
        }
    },
    "errors": {},
    "message": "Request successful"
}
```
